"""Common code shared between modules.

This module is intended to be imported with 'from ... import *' semantics and
provides an __all__ specification for this purpose.

"""

__all__ = ['cpos_to_pos', 'pos_to_cpos', 'neighbours']

def cpos_to_pos(cpos):
    from vector import v
    return v((cpos.x * 16 + 8, cpos.y * 16 + 8))

def pos_to_cpos(pos):
    from vector import v
    return v((int(pos.x / 16), int(pos.y / 16)))

def neighbours(cpos):
    from vector import v
    return set([cpos+v((0,1)), cpos+v((0,-1)), cpos+v((1,0)), cpos+v((-1,0))])
