from __future__ import division

import random

from spawn import Spawner
from vector import v

from constants import *

class GameData(object):
    def __init__(self, difficulty=10, diff=u""):
        self.diff = diff
        self.difficulty = difficulty
        self.fixedscore = 0
        self.previous = []
        self.starts = [(v((320, 120)), 90)]
        # this should be the only place in the code where we use a non-fixed RNG
        self.seed = random.random()
        
    @property
    def wave(self):
        return len(self.previous) + 1
        
    @property
    def won(self):
        return self.wave > NUMBER_OF_TIMES
        
    def get_spawners(self, handler, replay=False):
        w = self.wave if not replay else self.wave - 1
        return [Spawner(handler, n0, n0 + self.seed) for n0 in xrange(w)]
