from __future__ import division

from pyglet import text
import mode

class PassMode(mode.Mode):
    name = "pass"
    
    def __init__(self, gd):
        super(PassMode, self).__init__()
        self.gd = gd
        self.ticks = 0
        self.label = text.Label("WAVE COMPLETE!", x=320, y=240)
        self.label.x -= self.label.content_width / 2
        
    def on_draw(self):
        self.window.clear()
        self.label.draw()
        
    def tick(self):
        self.ticks += 1
        if self.ticks >= 30:
            if self.gd.won:
                self.control.switch_handler("win")
            else:
                self.control.switch_handler("game", self.gd)

class FailMode(mode.Mode):
    name = "fail"
    
    def __init__(self, gd):
        super(FailMode, self).__init__()
        self.gd = gd
        self.ticks = 0
        self.label = text.Label("TRY AGAIN", x=320, y=240)
        self.label.x -= self.label.content_width / 2
        
    def on_draw(self):
        self.window.clear()
        self.label.draw()
        
    def tick(self):
        self.ticks += 1
        if self.ticks >= 30:
            self.control.switch_handler("game", self.gd)
            
class WinMode(mode.Mode):
    name = "win"
    
    def __init__(self):
        super(WinMode, self).__init__()
        self.label = text.Label("YOU WIN!", x=320, y=240)
        self.label.x -= self.label.content_width / 2
        
    def on_draw(self):
        self.window.clear()
        self.label.draw()
