import pyglet
import random
import data
import config

class Sound(object):
    def __init__(self, name):
        self.source = data.load_sound(name)
        self.name = name
    def __call__(self):
        if config.sound:
            self.source.play()

class OnceSound(Sound):
    def __init__(self, name):
        super(OnceSound, self).__init__(name)
        self.player = None
    def __call__(self):
        if config.sound:
            if self.player is None or self.player.source is None or self.player.time > 0.1:
                self.player = self.source.play()


destroy = Sound("destroy.wav")
underattack = OnceSound("underattack3.wav")
explosion = Sound("explosion3.wav")
win = Sound("win.wav")